/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
/* Paging navigation style */
.paging-navigation .nav-links > * {
        padding: 7px 15px;
	margin-right: 0px;
	border-radius: 0px;
	display: inline-block;
	border: 1px solid #34393f;
	background: #ffffff;
}

.paging-navigation .nav-links a:hover {
        background-color: #34393f;
	border-color: #34393f;
        color: #ffffff;
}

.paging-navigation .nav-links .current {
	background-color: #34393f;
	border-color: #34393f;
        color: #ffffff;
}

.paging-navigation .nav-links .current {
        font-weight: 700;
}

.nav-links > * {
         border-width: 2px;
         border-style: solid;
         border-color: #34393f;
	 text-decoration: none;
	 color: #34393f;
}

/* START footer Widget style */
#footer-widgets 
.widget {
    font-size: 14px;
}
.footer-widget-1 {
    line-height: 1.3em;
}
.footer-widget-2 {
    line-height: 1.3em;
}
.footer-widget-3 {
    line-height: 1.3em;
}
.footer-widget-4 {
    line-height: 1.3em;
}
.footer-widget-5 {
    line-height: 1.3em;
}
/* END footer Widget style */
/* START Last Widget Sticky */
@media (min-width: 769px) {
.site-content {
  display: flex;
	}
	
.inside-right-sidebar {
  height: 100%;
	}
	
.inside-right-sidebar aside:last-child {
	position: -webkit-sticky;
	position: sticky;
	top: 70px; /*Adjust position */
  }
}
/* END Last Widget Sticky */
.sidebar .widget {
    padding: 15px;
    border: 2px solid grey;
    border-radius: 6px;
    box-shadow: 5px 5px 5px grey;
}

.one-container .sidebar .widget {
	padding: 10px;
}

.one-container.both-right .site-main, .one-container.right-sidebar .site-main {
    padding: 15px;
    border: 2px solid grey;
    border-radius: 6px;
    box-shadow: 5px 5px 5px grey;
}

.one-container .site-main {
	padding: 15px;
    border: 2px solid grey;
    border-radius: 6px;
    box-shadow: 5px 5px 5px grey;
}

.gb-container.my-linked-container:hover {
    background-color: #327ae7;
}
/* Warenkorbsymbol ausblenden wenn Cart leer ist */
.mobile-bar-items.wc-mobile-cart-items:not(.has-items),
.main-navigation .wc-menu-item:not(.has-items) {
    display: none;
}

/* START links abstand in listen */
.single-post .inside-article ul li {
    margin-top: 10px;
}
/* END links abstand in listen */
/* START styling Separator Block */
hr.wp-block-separator {
    max-width: 8%;
    height: 4px;
    margin-left: 0;
    margin-top: 2px;
    margin-bottom: 20px !important;
    background-color: #327ae7;
}
/* END styling Separator Block */
/* START Footer 2 columns on mobile */
@media (max-width:768px) {
    .inside-footer-widgets {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-direction: row;
        flex-direction: row;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    .inside-footer-widgets>div {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
    }
    .inside-footer-widgets>div:first-of-type {
        -webkit-box-flex: 1;
        -ms-flex: 1 0 100%;
        flex: 1 0 100%;
    }
}

@media (min-width:768px) {
    .inside-footer-widgets>div:first-of-type {
        display: block;
    }
    .inside-footer-widgets>div.grid-20 {
        width: 20%;
    }
}
/* END Footer 2 columns on mobile */
/* START Woo Versandkosten in Kategorien ausblenden */
span.woocommerce-de_price_taxrate {
	display: none !important;
	}
	.woocommerce_de_versandkosten {
	display: none;
	}
	/* END Woo Versandkosten in Kategorien ausblenden */
	/* START Blog Archiv rand rund, shadow */
	.blog .inside-article, .archive .inside-article {
		border-radius: 20px;
		border: 1px solid #cccccc;
		margin-top: 20px;
	}
	.generate-columns-activated .inside-article .entry-header,
	.generate-columns-activated .inside-article .entry-summary {
		padding-left: 20px;
		padding-right: 20px;
	}
	.generate-columns .inside-article {
		background-color: transparent;
		box-shadow: 0 0 40px 0 rgba(0,0,0,0);
		transition: box-shadow 0.3s ease-in-out;
	}
	.generate-columns .inside-article:hover {
		box-shadow: 0 0 40px 0 rgba(0,0,0,0.3);
	}
	@media(max-width: 768px) {
	  #primary {
		padding-left: 20px;
		padding-right: 20px;
	  }
	}
	/* END Blog Archiv rand rund, shadow */
/* START doppelten Text Beschreibung auf Artikelseite ausblenden */
.woocommerce div.product .woocommerce-tabs ul.tabs {
    display: none;
}

.woocommerce div.product .woocommerce-tabs .panel {
    display: block !important;
}
/* END doppelten Text Beschreibung auf Artikelseite ausblenden */

/* START Posts H1 Center*/
body.single-post h1.entry-title,
body.single-post header.entry-header{
    text-align: center;
}
/* END Posts H1 Center*/
/* START Position Back to Top Button */
.generate-back-to-top,
.generate-back-to-top:visited {
    bottom: 100px; /* 100px from the bottom of your screen */
    right: 50px; /* 30px from the right of your screen */
}
/* END Position Back to Top Button */
/*START auto with language switcher Main-Menu*/
nav ul[class*="menu"] li.wpml-ls-menu-item ul.sub-menu,
nav ul[class*="menu"] li.wpml-ls-menu-item ul.sub-menu li a {
  width: auto;
  min-width: 30px;
}
/*END auto with language switcher Main-Menu*/
/* START Underliner in Content */
.content-area .site-main p a {
    text-decoration: underline;
}
/* END Underliner in Content */
/* START links underline nur in posts */
.single-post .entry-content a {
    text-decoration: underline;
    color: darkblue,
}
/* END links underline nur in posts */
/* START Shadow in box */
.has-shadow {
    box-shadow: 0px 4px 30px 0px #0F1F3720;
    -webkit-box-shadow: 0px 4px 30px 0px #0F1F3720;
    -moz-box-shadow: 0px 4px 30px 0px #0F1F3720;
}
/* END Shadow in box */
/* START unteren Rand im Footer entfernen */
.site-footer .wp-block-columns {
    margin-bottom: 0;
}
/* START unteren Rand im Footer entfernen */
html, body {
    overflow-x: hidden;
}

/* START shop seite abstand */
ol, ul {
    margin: 0 0 1.5em 0;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 1.5em;
    margin-left: 0px;
}
/* START shop seite abstand */
.inside-header ul:not(.woocommerce-mini-cart) {
    display: flex;
    align-items: center;
    flex-direction: row;
}
/* END shop seite abstand */
/* START menu animation */
@media (min-width:769px) {
    /* Menu Hover underline animation */
    .main-navigation .menu > .menu-item.menu-hover > a::after {
        content: "";
        position: absolute;
        right: 0;
        left: 50%;
        bottom: 5px;
        -webkit-transform: translateX(-50%);
        transform: translateX(-50%);

        display: block;
        width: 0;
        height: 2px;

        background-color: currentColor;
        transition: 0.3s width ease;
    }
    .main-navigation .menu > .menu-item.menu-hover.current-menu-item:not(.exclude-hover) > a::after,
    .main-navigation .menu > .menu-item.menu-hover > a:hover::after {
        width: 50%;
    }
}
/* END menu animation */
/* START Submenu edges corners rounded by JoeWP */
.sub-menu,
.sub-menu > li:first-child > a {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.sub-menu,
.sub-menu > li:last-child > a {
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
/* END Submenu edges corners rounded by JoeWP */	
/* START Display updated date */
.posted-on .updated {
    display: inline-block;
    margin-right: 1em;
}
/*Add date prefixes */
.posted-on .updated:before {
    content: 'Updated: ';
}
.posted-on .entry-date:before {
    content: 'Published: ';
}
/* END Display updated date */	
